Subject: Re: [Actn] Status and plans for ACTN

From: "Zhangxian (Xian)" <[email-masked]>
Date: Thu, 15 Jan 2015 07:42:20 +0000

Hi, Adrian, Daniele, Young, and all who cares about ACTN work,

      I find this thread very important for this mailing list and worth digging out and try to revisit.  SO, I would like to share my thoughts.

    I am trying to be succinct and  try to use the most up-to-date texts/terms although I haven’t got time to read in much detail the ~200 email while being a mom of a 5-month-old baby. So please do comment if you have thoughts even on one of the questions listed below. Or try to recap what has been discussed and agreed in case I miss most important discussion/info and/or make mistakes in this email.

     Firstly, I re-summarized our AD’s questions and re-order/number them, so that we can see which one we have/haven’t addressed along our discussion.

Q1: The framework draft updated so that the ACTN architecture clearer? Recursion dealt with?

[Xian]: I believe we have reached a common understanding on the architecture now and pretty solid components names. The recursion is yet to be addressed in v06 since I do not see much explanation there. But with the just agreed architecture, it would be easier.

Q2: For the work can be done, which category do they belong to?

Type1: New but likely to be worked in other WGs but need review and guidance from *an ACTN WG*
Type2:  What is a delta on work done in other WGs that needs cooperative development?
Type3:  What already exists but needs an applicability statement to demonstrate its use?

Note1: I do not know whether other ppl have issue understanding especially for Type1 and Type2, but I feel like rephrase to make sure I understand correctly after reading it many times. My understanding is Type1 is work that need a ACTN WG to  generate the requirement for protocol extensions in existing WGs/need rechartering (at least), or a new protocol developed within ACTN WG itself (at most), Type2: what needs to be is within existing WGs charter, so can working together if there is an ACTN WG or directly by existing WG even without. Type 3: straightforward, no need for explanation.

Note2: Get clear of the type classification can also answer our AD’s question: “What is entirely new and focus of ACTN?“

Q3: The description of the functional interfaces expanded to include the primitives and the information carried?

Q4: What is the client asking for, just abstract topology/connectivity or service related?

Please see inline for answers to the rest of the above listed questions and my thoughts:

From: ACTN [mailto:[email-masked]] On Behalf Of Leeyoung
Sent: 2014年11月28日 3:27
To: Daniele Ceccarelli; [email-masked]; [email-masked]
Cc: [email-masked]
Subject: Re: [Actn] Status and plans for ACTN

Hi all,

Echoed to Daniele’s comment and attachment, the color scheme in the word document has the following classification:

Green – new to ACTN
Red- might be fulfilled by existing models/WGs (such as TEAS, CCAMP, PCE, etc.)
Blue- Between Green and Red (Not clear at this point)

This classification needs to be more refined especially with Green one into two sub categories:

Green A: No WGs are involved in this work and new WG is required
Green B: No WGs are involved in this work but work is being developed or about to be launched in other WGs.

In the next a couple of weeks, it is our desire to work on this requirement list and incorporate in the Framework document. We’d appreciate your active participation in this work.  We admit that the attached PPT and word documents are very rough and as such we’d anticipate many questions of the content. Please take your questions to the list.

[Xian]: The word document (see the link below), as Young pointed out, is trying to answer Q3/Q4 on a high level and also have a go to answer Q2. I will need to do more work to say yes/no, but I do see some are falling into Type1 I listed above, which cannot be currently be handled by other WGs, for example the topology query/response between what we now called CNC and MSDC.  Since it uses old terminologies, maybe we should map it to the agreed architecture/interface and soliciting comments based on the new one?

Best regards,
Young & Daniele

From: ACTN [mailto:[email-masked]] On Behalf Of Daniele Ceccarelli
Sent: Thursday, November 27, 2014 11:34 AM
To: [email-masked]; [email-masked]
Cc: [email-masked]
Subject: Re: [Actn] Status and plans for ACTN

Thanks Adrian,

While waiting for the new text to come, please find at the following links the material Adrian is speaking about (published on the IETF91 data tracker server as POST MEETING material not to attach it to the mail).

8 - post BoF material - ACTN scenarios - PPT<http://www.ietf.org/proceedings/91/slides/slides-91-actn-11.pptx>
9 - post BoF material - ACTN requirements - DOC<http://www.ietf.org/proceedings/91/slides/slides-91-actn-12.doc>

Regarding the ACTN scenarios PPT please have a look particularly to slide 13, which tries to explain why the exchanged info is not just nodes and links but includes also services. This is also a differentiator between the info exchanged between the PNC-VNC and the CNC-VNC (let’s not talk about different interfaces for a while, but just focus on the info exchanged between controllers).

Comments, feedbacks and most of all contributions to these two documents are highly appreciated and will be helpful for the improvements to the framework documents.

[Xian]: The ppt slides, as Daniele points out, is also trying to answer Q4. The ppt serves a nice way of getting myself familiar with typical flow of all components and can help identify some Type1/Type2/Type3 work in Q2. For example, PCEP for sure can be reused for path computation and it will be used in both MDSC(Type2?) and PNC (Type 3?). Whether PCEP extensions are needed under the ACTN work, is something we might need to dig a bit further after Q3 is answered, especially for the CNC and MDSC interface (Type1?).

My 2cents,

Xian

Many thanks

Daniele

> -----Original Message-----

> From: ACTN [mailto:[email-masked]] On Behalf Of Adrian Farrel

> Sent: giovedì 27 novembre 2014 18:14

> To: [email-masked]

> Cc: [email-masked]

> Subject: [Actn] Status and plans for ACTN

> Hello again,

> As promised here are some more thoughts on the progress of ACTN.

> I had a call today with the BoF chairs: Sergio and Dhruv were also there. We

> discussed the details of the interfaces between the ACTN components a bit

> more because my main thrust is to understand what work needs doing in a

> protocol sense.

> My message is that I recognise the energy and use cases behind ACTN, but I

> do not want to charter a working group to work on use cases and

> requirements. From where I sit, that would be a huge waste of time and

> effort. We already understand the use cases, so while it would be just fine to

> continue to work on them, they are no longer a hurdle for forming a WG or

> for developing solutions.

> What is more, the requirements work can be developed quickly and

> efficiently by a small team and then discussed and reviewed on this mailing

> list.

> The intention, therefore, is to take the current framework draft and:

> - refine it to make the architecture clearer

>    - there is at least the question of recursion to be dealt with

> - expand on exactly what the client is asking for

>    - is it "just" abstract topology and connectivity, or is it also

>       related to "services"?

> - add a lot more detail to the description of the functional interfaces

>     - what are the primitives?

>     - what i the information carried on the primitives?

> Young, Daniele, Sergio, and Dhruv already have some of this material in slides

> and in notes as well as in their heads. So I'm hoping that it will not be a huge

> effort for them to start to share this on the list and to add to the I-D.

> I'm hoping that this will serve to make it much clearer what work is actually

> involved in delivering ACTN. What is entirely new and needs the focus of a

> WG?

> What is new but likely to be worked on in other WGs may be needing review

> and guidance from an ACTN WG? What is a delta on work done in other WGs

> that needs cooperative development? What already exists but needs an

> applicability statement to demonstrate its use?

> The answers to these questions will help us understand the value of a new

> working group, and will form the basis of the deliverables and work items if

> one is chartered.

> Young and Daniele have promised to try to bring their thoughts to this list in

> the form of emails and a revised I-D. I really hope that we can build on the

> energy that was in the room in Honolulu by having active discussion of the

> issues they raise and by getting detailed and constructive reviews (e.g.

> suggest

> text!) of the drafts they post.

> Thanks,

> Adrian

> _______________________________________________

> ACTN mailing list

> [email-masked]<mailto:[email-masked]>

> https://www.ietf.org/mailman/listinfo/actn